# Makefile generated by imake - do not edit!
# $XConsortium: imake.c,v 1.65 91/07/25 17:50:17 rws Exp $

# -------------------------------------------------------------------------
# Makefile generated from "Imake.tmpl" and </tmp/IIf.a00415>
# $XFree86: mit/config/Imake.tmpl,v 2.10 1994/02/28 13:54:37 dawes Exp $
# $XConsortium: Imake.tmpl,v 1.139 91/09/16 08:52:48 rws Exp $
#
# Platform-specific parameters may be set in the appropriate <vendor>.cf
# configuration files.  Site-specific parameters should be set in the file
# site.def.  Full rebuilds are recommended if any parameters are changed.
#
# If your C preprocessor does not define any unique symbols, you will need
# to set BOOTSTRAPCFLAGS when rebuilding imake (usually when doing
# "make World" the first time).
#

# -------------------------------------------------------------------------
# site-specific configuration parameters that need to come before
# the platform-specific parameters - edit site.def to change

# $XFree86: mit/config/site.def,v 2.41 1994/03/07 13:53:40 dawes Exp $
# site:  $XConsortium: site.def,v 1.2 91/07/30 20:26:44 rws Exp $

# -------------------------------------------------------------------------
# platform-specific configuration parameters - edit x386.cf to change

# $XFree86: mit/config/x386.cf,v 2.41 1994/03/06 06:41:16 dawes Exp $
# platform:  $XConsortium: x386.cf,v 1.7 91/08/16 19:30:10 gildea Exp $

# -------------------------------------------------------------------------
# XFree86 version definition
# $XFree86: mit/config/xf86_vers.def,v 2.11 1994/03/05 01:56:48 dawes Exp $

# -------------------------------------------------------------------------
# XFree86 version: 2100
# -------------------------------------------------------------------------

# $XFree86: mit/config/lnuxLib.rules,v 2.8 1994/03/08 06:10:55 dawes Exp $

DLL_BINDIR = /usr/dll/bin

# operating system:  		Linux

# -------------------------------------------------------------------------
# site-specific configuration parameters that go after
# the platform-specific parameters - edit site.def to change

# $XFree86: mit/config/site.def,v 2.41 1994/03/07 13:53:40 dawes Exp $
# site:  $XConsortium: site.def,v 1.2 91/07/30 20:26:44 rws Exp $

            SHELL = 	/bin/sh

              TOP = .
      CURRENT_DIR = .

               AR = ar clq
  BOOTSTRAPCFLAGS =
               CC = 		gcc
               AS = as
              LEX = 		flex
           LEXLIB =
             YACC = 		bison -y

         COMPRESS = compress
              CPP = 		/lib/cpp $(STD_CPP_DEFINES)
    PREPROCESSCMD = 	/lib/cpp $(STD_CPP_DEFINES)
          INSTALL = install
               LD = ld
             LINT = lint
      LINTLIBFLAG = -C
         LINTOPTS = -axz
               LN = ln -s
             MAKE = make
               MV = mv
               CP = cp

           RANLIB = ranlib
  RANLIBINSTFLAGS =

               RM = rm -f
            TROFF = psroff
         MSMACROS = -ms
              TBL = tbl
              EQN = eqn
            NROFF = nroff
             NEQN = neqn
     STD_INCLUDES =
  STD_CPP_DEFINES = -traditional 		-D_POSIX_SOURCE -D_BSD_SOURCE -D_GNU_SOURCE 	-Dlinux
      STD_DEFINES = 		-D_POSIX_SOURCE -D_BSD_SOURCE -D_GNU_SOURCE 	-Dlinux
 EXTRA_LOAD_FLAGS =
  EXTRA_LIBRARIES =
     OS_LIBRARIES =
             TAGS = ctags

    SHAREDCODEDEF =
         SHLIBDEF =

    PROTO_DEFINES = -DFUNCPROTO=11 -DNARROWPROTO

     INSTPGMFLAGS = -s

     INSTBINFLAGS = -m 0755
     INSTUIDFLAGS = -s -m 4755
     INSTLIBFLAGS = -m 0644
     INSTINCFLAGS = -m 0444
     INSTMANFLAGS = -m 0444
     INSTDATFLAGS = -m 0444
    INSTKMEMFLAGS = -s -m 4755

      PROJECTROOT = 	/usr/X386

     TOP_INCLUDES = -I$(INCROOT)

      CDEBUGFLAGS = -O2
        CCOPTIONS = -m486 -DNO_ASM -fwritable-strings
    ANSICCOPTIONS =

        LDRUNPATH =
       LDLINKPATH = LdLinkPath

      ALLINCLUDES = $(INCLUDES) $(EXTRA_INCLUDES) $(TOP_INCLUDES) $(STD_INCLUDES)
       ALLDEFINES = $(ALLINCLUDES) $(STD_DEFINES) $(EXTRA_DEFINES) $(PROTO_DEFINES) $(DEFINES)
           CFLAGS = $(ANSICCOPTIONS) $(CDEBUGFLAGS) $(CCOPTIONS) $(ALLDEFINES)
        LINTFLAGS = $(LINTOPTS) -DLINT $(ALLDEFINES)

           LDLIBS = $(OS_LIBRARIES) $(SYS_LIBRARIES) $(EXTRA_LIBRARIES)

        LDOPTIONS = $(ANSICCOPTIONS) $(CDEBUGFLAGS) $(CCOPTIONS) $(LOCAL_LDFLAGS) -L$(USRLIBDIR) $(LDRUNPATH)

   LDCOMBINEFLAGS = 	-r
      DEPENDFLAGS =

        MACROFILE = x386.cf
           RM_CMD = $(RM) *.CKP *.ln *.BAK *.bak *.o core errs ,* *~ *.a .emacs_* tags TAGS make.log MakeOut

    IMAKE_DEFINES =

         IRULESRC = $(CONFIGDIR)
        IMAKE_CMD = $(IMAKE) -DUseInstalled -I$(IRULESRC) $(IMAKE_DEFINES)

     ICONFIGFILES = $(IRULESRC)/Imake.tmpl $(IRULESRC)/Imake.rules 			$(IRULESRC)/Project.tmpl $(IRULESRC)/site.def 			$(IRULESRC)/$(MACROFILE) $(EXTRA_ICONFIGFILES)

# -------------------------------------------------------------------------
# X Window System Build Parameters
# $XFree86: mit/config/Project.tmpl,v 2.5 1994/02/27 11:25:48 dawes Exp $
# $XConsortium: Project.tmpl,v 1.138.1.1 92/11/11 09:49:19 rws Exp $

_percentC_ = %C

# -------------------------------------------------------------------------
# X Window System make variables; this need to be coordinated with rules

          PATHSEP = /
        USRLIBDIR = 	/usr/X386/lib
           BINDIR = 	/usr/X386/bin
          INCROOT = 	/usr/X386/include
     BUILDINCROOT = $(TOP)
      BUILDINCDIR = $(BUILDINCROOT)/X11
      BUILDINCTOP = ..
           INCDIR = $(INCROOT)/X11
           ADMDIR = /usr/adm
           LIBDIR = $(USRLIBDIR)/X11
        CONFIGDIR = $(LIBDIR)/config
       LINTLIBDIR = $(USRLIBDIR)/lint

          FONTDIR = $(LIBDIR)/fonts
         XINITDIR = $(LIBDIR)/xinit
           XDMDIR = $(LIBDIR)/xdm
           TWMDIR = $(LIBDIR)/twm
          MANPATH = 	/usr/X386/man
    MANSOURCEPATH = $(MANPATH)/man
        MANSUFFIX = 1x
     LIBMANSUFFIX = 3x
    FILEMANSUFFIX = 5x
           MANDIR = $(MANSOURCEPATH)1
        LIBMANDIR = $(MANSOURCEPATH)3
       FILEMANDIR = $(MANSOURCEPATH)5
           NLSDIR = $(LIBDIR)/nls
        PEXAPIDIR = $(LIBDIR)/PEX
      XAPPLOADDIR = $(LIBDIR)/app-defaults
       FONTCFLAGS = -t
       LINKKITDIR = 	$(USRLIBDIR)/Server

     INSTAPPFLAGS = $(INSTDATFLAGS)

            IMAKE = imake

           DEPEND = gccmakedep

              RGB = rgb

            FONTC = bdftopcf

        MKFONTDIR = mkfontdir
        MKDIRHIER = 	/bin/sh $(BINDIR)/mkdirhier

        CONFIGSRC = $(TOP)/config
       DOCUTILSRC = $(TOP)/doc/util
        CLIENTSRC = $(TOP)/clients
          DEMOSRC = $(TOP)/demos
           LIBSRC = $(TOP)/lib
          FONTSRC = $(TOP)/fonts
       INCLUDESRC = $(TOP)/X11
        SERVERSRC = $(TOP)/server
          UTILSRC = $(TOP)/util
        SCRIPTSRC = $(UTILSRC)/scripts
       EXAMPLESRC = $(TOP)/examples
       CONTRIBSRC = $(TOP)/../contrib
           DOCSRC = $(TOP)/doc
           RGBSRC = $(TOP)/rgb
        DEPENDSRC = $(SCRIPTSRC)
         IMAKESRC = $(CONFIGSRC)
         XAUTHSRC = $(LIBSRC)/Xau
          XLIBSRC = $(LIBSRC)/X
           XMUSRC = $(LIBSRC)/Xmu
       TOOLKITSRC = $(LIBSRC)/Xt
       AWIDGETSRC = $(LIBSRC)/Xaw
       OLDXLIBSRC = $(LIBSRC)/oldX
      XDMCPLIBSRC = $(LIBSRC)/Xdmcp
      BDFTOSNFSRC = $(FONTSRC)/bdftosnf
      BDFTOSNFSRC = $(FONTSRC)/clients/bdftosnf
      BDFTOPCFSRC = $(FONTSRC)/clients/bdftopcf
     MKFONTDIRSRC = $(FONTSRC)/clients/mkfontdir
         FSLIBSRC = $(FONTSRC)/lib/fs
    FONTSERVERSRC = $(FONTSRC)/server
     EXTENSIONSRC = $(TOP)/extensions
         XILIBSRC = $(EXTENSIONSRC)/lib/xinput
        PEXLIBSRC = $(EXTENSIONSRC)/lib/PEXlib
      PHIGSLIBSRC = $(EXTENSIONSRC)/lib/PEX

# $XFree86: mit/config/lnuxLib.tmpl,v 2.0 1993/08/29 14:15:39 dawes Exp $

SHLIBLDFLAGS =
PICFLAGS = -B/usr/dll/jump/

  DEPEXTENSIONLIB =
     EXTENSIONLIB = -lXext

          DEPXLIB = $(DEPEXTENSIONLIB)
             XLIB = $(EXTENSIONLIB) -lX11

        DEPXMULIB =
           XMULIB = -lXmu

      DEPXTOOLLIB =
         XTOOLLIB = -lXt

        DEPXAWLIB =
           XAWLIB = -lXaw

        DEPXILIB =
           XILIB = -lXi

    DEPXTESTLIB =
       XTESTLIB = -lXtst

        DEPPEXLIB =
         PEXLIB = -lPEX5

        SOXLIBREV = 3.1.0
          SOXTREV = 3.1.0
         SOXAWREV = 3.1.0
        SOOLDXREV = 3.1.0
         SOXMUREV = 3.1.0
        SOXEXTREV = 3.1.0
      SOXINPUTREV = 3.1.0
         SOPEXREV = 1.1.0

      DEPXAUTHLIB = $(USRLIBDIR)/libXau.a
         XAUTHLIB = 			 -lXau
      DEPXDMCPLIB = $(USRLIBDIR)/libXdmcp.a
         XDMCPLIB = 			 -lXdmcp

       DEPOLDXLIB = $(USRLIBDIR)/liboldX.a
          OLDXLIB = 			 -loldX

        DEPPHIGSLIB = $(USRLIBDIR)/libphigs.a
           PHIGSLIB = 			 -lphigs

       DEPXBSDLIB = $(USRLIBDIR)/libXbsd.a
          XBSDLIB = 			 -lXbsd

 LINTEXTENSIONLIB = $(LINTLIBDIR)/llib-lXext.ln
         LINTXLIB = $(LINTLIBDIR)/llib-lX11.ln
          LINTXMU = $(LINTLIBDIR)/llib-lXmu.ln
        LINTXTOOL = $(LINTLIBDIR)/llib-lXt.ln
          LINTXAW = $(LINTLIBDIR)/llib-lXaw.ln
           LINTXI = $(LINTLIBDIR)/llib-lXi.ln
          LINTPEX = $(LINTLIBDIR)/llib-lPEX5.ln
        LINTPHIGS = $(LINTLIBDIR)/llib-lphigs.ln

          DEPLIBS = $(DEPXAWLIB) $(DEPXMULIB) $(DEPXTOOLLIB) $(DEPXLIB)

         DEPLIBS1 = $(DEPLIBS)
         DEPLIBS2 = $(DEPLIBS)
         DEPLIBS3 = $(DEPLIBS)

# -------------------------------------------------------------------------
# Imake rules for building libraries, programs, scripts, and data files
# $XFree86: mit/config/Imake.rules,v 2.1 1993/09/29 11:06:00 dawes Exp $
# rules:  $XConsortium: Imake.rules,v 1.123 91/09/16 20:12:16 rws Exp $

# -------------------------------------------------------------------------
# start of Imakefile

#
#       Imakefile for the AthenaTools Plotter Widget Set V6.0
#

# Set the following as desired.

INSTALLFLAGS = $(INSTINCFLAGS)
LINTLIBS = $(LINTXLIB) $(LINTXTOOL)

# Define this if your C library is missing strcasecmp and strncasecmp.

# Cpp define for the PostScript font metrics path.
# This should be changed to the path to the PS font metrics files
# on your system. Don't get rid of the quoted "s -- they're very important!
# AFMPATH = \"/usr/local/X11R5/lib/At/afm\"
AFMPATH = \"/usr/local/lib/ps\"

# Other cpp defines.
#
# DEBUG enables checking of widget classes passed to member functions etc.
#       This should probably be left defined
#
# TRACE gives verbose output of the decision making to stderr.
#       And I mean verbose.  Don't define it!
#
# USE_SMALLER_FONTS for changing font selection algorithm to use smaller fonts.
#
# DFLT_FONTFAMILY=\"font_family\" for using another font family
#       than the  default family "new century schoolbook".
DEFINES = -DUSE_SMALLER_FONTS -DDFLT_FONTFAMILY=\"helvetica\"

# Where to look for the header files while building
EXTRA_INCLUDES = -I.

# Debug flag
CDEBUGFLAGS = -O

CC=cc
#################################################################
#
#  You shouldn't need to edit from here on
#
#################################################################

# The default build target
all::
	if test ! -f ./X11/At/At.h; 	then $(RM) ./X11; mkdir ./X11; 	cd ./X11 && $(LN) .. At; 	else true; fi

# Header files for the library.
HEADERS = 	At.h	AxisCore.h	AxisCoreP.h	FrameAxis.h	FrameAxisP.h	Axis.h	AxisP.h	LabelAxis.h	LabelAxisP.h	XYAxis.h	XYAxisP.h	Plot.h	PlotP.h	SPlot.h	SPlotP.h	LinePlot.h	LinePlotP.h	BarPlot.h	BarPlotP.h	XYPlot.h	XYPlotP.h	XYLinePlot.h	XYLinePlotP.h	TextPlot.h	TextPlotP.h	Plotter.h	PlotterP.h	Scale.h	Shading.h	FontFamily.h	FontFamilyP.h	Text.h	AtConverters.h	patchlevel.h

SRCS = 	AtConverters.c	AxisCore.c	FrameAxis.c	Axis.c	LabelAxis.c	XYAxis.c	Plot.c	SPlot.c	LinePlot.c	BarPlot.c	XYPlot.c	XYLinePlot.c	TextPlot.c	Plotter.c	Scale.c	Shading.c	FontFamily.c	Text.c	PlotterPS.c	TextPS.c	FontFamilyPS.c	$(STRCASECMP_C)

OBJS = 	AtConverters.o	AxisCore.o	FrameAxis.o	Axis.o	LabelAxis.o	XYAxis.o	Plot.o	SPlot.o	LinePlot.o	BarPlot.o	XYPlot.o	XYLinePlot.o	TextPlot.o	Plotter.o	Scale.o	Shading.o	FontFamily.o	Text.o	PlotterPS.o	TextPS.o	FontFamilyPS.o	$(STRCASECMP_O)

#################################################################
#
# Rules for library build.
#
#################################################################

# $XFree86: mit/config/Library.tmpl,v 1.5 1993/03/27 08:55:03 dawes Exp $
# $XConsortium: Library.tmpl,v 1.12 92/03/20 15:05:19 rws Exp $

_NULLCMD_ = @echo -n

           CC = 		gcc
    CCOPTIONS = -m486 -DNO_ASM -fwritable-strings
ANSICCOPTIONS =
  STD_DEFINES = 		-D_POSIX_SOURCE -D_BSD_SOURCE -D_GNU_SOURCE 	-Dlinux
  CDEBUGFLAGS = -O2

all::
	$(_NULLCMD_)
	$(_NULLCMD_)
	$(_NULLCMD_)

includes::
	$(_NULLCMD_)
	$(_NULLCMD_)
	$(_NULLCMD_)

.c.o:
	$(_NULLCMD_)
	$(_NULLCMD_)
	$(_NULLCMD_)
	$(RM) $@
	$(CC) -c $(CFLAGS) $(_NOOP_) $*.c

clean::
	$(_NULLCMD_)
	$(_NULLCMD_)
	$(_NULLCMD_)

FontFamilyPS.o:  FontFamilyPS.c
	$(_NULLCMD_)
	$(_NULLCMD_)
	$(_NULLCMD_)
	$(RM) $@
	$(CC) -c $(CFLAGS)  -DAFMPATH=$(AFMPATH) $*.c

all:: libAt.a

libAt.a: $(OBJS)
	$(RM) $@
	$(AR) $@ $(OBJS)
	$(RANLIB) $@

install:: libAt.a
	@if [ -d $(DESTDIR) $(USRLIBDIR) ]; then set +x; \
	else (set -x; $(MKDIRHIER) $(DESTDIR) $(USRLIBDIR)); fi
	$(INSTALL) -c $(INSTLIBFLAGS) libAt.a $(DESTDIR) $(USRLIBDIR)
	$(RANLIB) $(RANLIBINSTFLAGS) $(DESTDIR) $(USRLIBDIR)/libAt.a

lintlib:: llib-lAt.ln

llib-lAt.ln: $(SRCS)
	$(RM) $@
	$(LINT) $(LINTLIBFLAG)At $(LINTFLAGS) $(SRCS)

install.ln:: llib-lAt.ln
	@if [ -d $(DESTDIR)$(LINTLIBDIR) ]; then set +x; \
	else (set -x; $(MKDIRHIER) $(DESTDIR)$(LINTLIBDIR)); fi
	$(INSTALL) -c $(INSTLIBFLAGS) llib-lAt.ln $(DESTDIR)$(LINTLIBDIR)

lint:
	$(LINT) $(LINTFLAGS) $(SRCS) $(LINTLIBS)
lint1:
	$(LINT) $(LINTFLAGS) $(FILE) $(LINTLIBS)

includes::
	@if [ -d $(BUILDINCDIR)/At ]; then set +x; \
	else (set -x; $(MKDIRHIER) $(BUILDINCDIR)/At); fi
	@(set -x; cd $(BUILDINCDIR)/At; for i in $(HEADERS); do \
	$(RM) $$i; \
	$(LN) $(BUILDINCTOP)/../$(CURRENT_DIR)/$$i .; \
	done)

install::
	@case '${MFLAGS}' in *[i]*) set +e;; esac;
	@for i in $(INCDIR)/At; do if [ -d $(DESTDIR)$$i ]; then \
	set +x; else (set -x; $(MKDIRHIER) $(DESTDIR)$$i); fi; \
	done

install:: $(HEADERS)
	@if [ -d $(DESTDIR)$(INCDIR)/At ]; then set +x; \
	else (set -x; $(MKDIRHIER) $(DESTDIR)$(INCDIR)/At); fi
	@case '${MFLAGS}' in *[i]*) set +e;; esac; \
	for i in $(HEADERS); do \
	(set -x; $(INSTALL) -c $(INSTALLFLAGS) $$i $(DESTDIR)$(INCDIR)/At); \
	done

#################################################################
#
# Rule for makedepend
#
#################################################################

depend::
	$(DEPEND) $(DEPENDFLAGS) -s "# DO NOT DELETE" -- $(ALLDEFINES) -- $(SRCS)

#
#       End of Imakefile
#

# -------------------------------------------------------------------------
# common rules for all Makefiles - do not edit

emptyrule::

clean::
	$(RM_CMD) "#"*

Makefile::
	-@if [ -f Makefile ]; then set -x; \
	$(RM) Makefile.bak; $(MV) Makefile Makefile.bak; \
	else exit 0; fi
	$(IMAKE_CMD) -DTOPDIR=$(TOP) -DCURDIR=$(CURRENT_DIR)

tags::
	$(TAGS) -w *.[ch]
	$(TAGS) -xw *.[ch] > TAGS

# -------------------------------------------------------------------------
# empty rules for directories that do not have SUBDIRS - do not edit

install::
	@echo "install in $(CURRENT_DIR) done"

install.man::
	@echo "install.man in $(CURRENT_DIR) done"

install.linkkit::
	@echo "install.linkkit in $(CURRENT_DIR) done"

Makefiles::

includes::

# -------------------------------------------------------------------------
# dependencies generated by makedepend

